# Visualization
TKV3d
DsgPrs

# DsgPrs_DatumTool Class Reference

A generic framework for defining display of datums. Instantiates Prs3d_Datum.
.

`#include <DsgPrs_DatumTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT gp_Ax2 | Ax2 (const gp_Ax2 &aDatum)

## Member Function Documentation

static Standard_EXPORT gp_Ax2 DsgPrs_DatumTool::Ax2 | ( | const gp_Ax2 & | aDatum | ) | `[static]`

void DsgPrs_DatumTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_DatumTool::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_DatumTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_DatumTool.hxx